<template>
  <section v-html="output"></section>
</template>

<script lang="ts">
  import Vue from 'vue'
  import Component from 'vue-class-component'
  import { MarkdownParser } from "../markdown/MarkdownParser";


  @Component
  export default class MarkdownRenderer extends Vue {
    private md: MarkdownParser = MarkdownParser.getInstance()
    private source: string = ''

    beforeMount() {
      for (let slot of this.$slots.default) {
        this.source += slot.text
      }
    }

    get output() {
      return this.md.render(this.source)
    }
  }
</script>
